petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreateGmsh

Create a DMPlex mesh from a Gmsh file viewer

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateGmsh(MPI_Comm comm, PetscViewer viewer, PetscBool interpolate, DM *dm)

Collective on comm

### Input Parameters

| comm | - The MPI communicator
| viewer | - The Viewer associated with a Gmsh file
| interpolate | - Create faces and edges in the mesh

### Output Parameter

dm -The DM object representing the mesh

Note: http://www.geuz.org/gmsh/doc/texinfo/#MSH-ASCII-file-format and http://www.geuz.org/gmsh/doc/texinfo/#MSH-binary-file-format

### Keywords

mesh,Gmsh

### See Also

DMPLEX, DMCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexgmsh.c

### Implementations

DMPlexCreateGmsh_ReadNodes in src/dm/impls/plex/plexgmsh.c
DMPlexCreateGmsh_ReadElements in src/dm/impls/plex/plexgmsh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages